<?php
 class control extends adminbase { 
     public function action_getserial() { 
         $model = parent::model('output', 'am'); 
         list($response, $msg) = $model->doGetSerial(); unset($model); echo json_encode(array('response'=>$response, 'msg'=>$msg)); 
         
     } 
          public function action_ajax_get_action()
     {     
     	$advContrl = get_class_methods('control');
   
        
     	$html = '';
     	foreach ($advContrl as $val){
            if(strpos($val,'action') !== false){
                   
               $html .= "<option value='".$val."'>".$val."</option>";
                    
            } else {
               
            }
     		
     	}
     	exit($html);
     }
         
     }